{% set currentCountry = app.request.locale == 'en' ? 'sk' : app.request.locale %}
{% set countries = [] %}

<div class="container">
    <header>
        <h2>{{ 'header.contact'|trans }}</h2>
    </header>
    <div class="row contact">
        {% for key, contact in contacts %}
            {% set countries = countries|merge([key]) %}
            <div id="contact-{{ contact.country }}" class="address col-12 col-lg-6 col-md-6 {% if currentCountry != contact.country %}hidden{% endif %}">
                <address class="contact-text" property="PostalAddress">
                    <b>
                        {{ contact.companyName }}</b><br/>
                        {{ contact.street }} {{ contact.number }}
                    <br/>
                    {{ contact.zip }} {{ contact.city }}
                </address>
                <address class="client_centrum" property="ClientCentrum">
                    <p class="no-margin">{{ 'contact.client_centrum_phone'|trans }}</p>
                    <p class="no-margin"><h4 class="text-black no-margin">{{ contact.phoneNumber }}</h4></p>
                </address>
                <address class="toll_free" property="Fax">
                    <p class="no-margin">{{ 'contact.toll_free_number'|trans }}</p>
                    <p class="no-margin"><h4 class="text-red no-margin">{{ contact.tollFreeNumber }}</h4></p>
                </address>
                <address class="toll_free" property="TollFreeNumber">
                    <p class="no-margin">{{ 'contact.fax'|trans }}</p>
                    <p class="no-margin"><h4 class="text-red no-margin">{{ contact.faxNumber }}</h4></p>
                </address>
                <address class="email" property="Email">
                    {{ 'contact.email'|trans }}<a href="mailto: {{ contact.email }}">{{ contact.email }}</a>
                </address>
                <address class="company-details" property="CompanyDetails">
                    <p class="no-margin">{{ 'contact.company_number'|trans }}{{ contact.businessId }}</p>
                    <p class="no-margin">{{ 'contact.vat_number'|trans }}{{ contact.taxId }}</p>
                    <p class="no-margin">{{ 'contact.ic_dph'|trans }}{{ contact.vatRegistrationNumber }}</p>
                </address>
            </div>
        {% endfor %}
        <div class="col-12 col-lg-6 col-md-6 d-none d-md-block d-lg-block" id="map-europe">
            <img class="map-europe-img active" id="europe" src="{{ asset('build/images/europe/' ~ currentCountry ~ '.png') }}" alt="europe" usemap="#europe-default"  />
            <map name="europe-default">
                {% if 'cz' in countries %}
                    <area alt="cz" title="cz" href="#" coords="537,643,549,639,562,630,569,634,580,636,588,639,594,650,597,643,610,646,615,653,624,659,619,665,605,678,599,681,590,678,579,677,571,674,567,683,558,682,550,675,542,666,533,657,530,647" shape="poly">
                {% endif %}
                {% if 'sk' in countries %}
                    <area alt="sk" title="sk" href="#" coords="602,677,607,677,615,671,624,663,629,667,634,661,639,667,644,670,648,664,658,665,665,666,674,671,676,676,672,686,664,685,651,684,640,692,633,692,626,695,622,701,607,699,600,694,596,687" shape="poly">
                {% endif %}
                {% if 'pl' in countries %}
                    <area alt="pl" title="pl" href="#" coords="562,566,561,580,557,584,565,593,566,602,565,610,570,620,570,629,578,634,590,636,588,641,594,648,597,642,608,643,613,651,622,652,626,661,634,660,640,667,647,663,659,663,668,665,676,670,682,671,681,662,688,648,696,640,698,631,695,623,692,613,692,603,684,598,696,587,696,577,692,560,690,551,682,548,662,551,642,548,635,551,622,547,619,538,607,538,595,543,584,551,570,556,563,558" shape="poly">
                {% endif %}
                {% if 'at' in countries %}
                    <area alt="at" title="at" href="#" coords="491,714,492,706,500,707,505,706,515,708,522,705,530,703,542,705,537,695,548,683,555,682,561,682,571,674,581,678,587,678,596,681,599,697,591,701,592,708,590,714,580,721,570,724,562,728,554,729,542,722,532,721,528,716,521,716,511,720,499,718" shape="poly">
                {% endif %}
                {% if 'hr' in countries %}
                    <area alt="hr" title="hr" href="#" coords="590,727,579,733,580,740,576,743,576,747,567,746,558,746,551,746,553,758,561,755,567,757,569,765,572,774,578,779,592,790,602,795,607,800,615,803,593,780,589,773,583,764,581,751,588,756,593,753,604,754,615,754,622,755,625,760,633,753,627,746,624,740,611,742,600,732" shape="poly">
                {% endif %}
                {% if 'ro' in countries %}
                    <area alt="ro" title="ro" href="#" coords="647,734,654,730,662,723,669,704,680,698,683,693,692,693,706,694,711,699,718,695,728,695,737,690,745,698,752,712,758,718,759,732,758,742,760,749,765,752,774,746,781,752,777,760,770,761,765,769,763,781,755,779,748,777,739,772,731,776,720,783,711,783,702,783,691,779,682,780,683,774,679,764,672,766,665,762,661,753,653,747" shape="poly">
                {% endif %}
                {% if 'sl' in countries %}
                    <area alt="sl" title="sl" href="#" coords="554,745,559,746,563,742,571,745,576,741,579,732,590,727,582,721,573,722,565,726,554,726,551,733" shape="poly">
                {% endif %}
            </map>
        </div>
    </div>
</div>
